Bug 819748 - Adding Japanese localization to designer.war
Adding Japanese localization to designer.war
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Internationalization, jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER9
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 03:00 EDT by Toshiya Kobayashi
Modified: 2012-06-20 02:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2012-05-08 03:00:32 EDT
Description of problem:

Adding Japanese localization to designer.war

Sent a pull request.
https://github.com/tsurdilo/process-designer/pull/7

Version-Release number of selected component (if applicable):

BRMS 5.3.0 ER6

Actual results:

Currently designer.war doesn't have translation_ja_jp.js for Japanese localization.

Expected results:

Users can choose Japanese for designer.war. e.g. tooltip for top menu bar icons.

Additional info:

Need to resolve https://bugzilla.redhat.com/show_bug.cgi?id=816056 in order to make language configurable.
Comment 1 Prakash Aradhya 2012-05-08 10:22:54 EDT
Tiho,
This is something we discussed few weeks ago.  Can you get this into the ER7 please ?
Comment 2 Tihomir Surdilovic 2012-05-09 13:05:12 EDT
Provide translations and code support have been added to the Designer master and 2.2.x branches. Please note that provided translations are not complete, as is they do not include stencil set and properties translations (this is a lot of work which still should be done?). Also there is still some text on the main UI which is in English that is not covered by provided translations. 

Please let me know if this is still an effort-in-progress or are we good with going live with what we have so far?
Comment 3 Prakash Aradhya 2012-05-09 16:28:59 EDT
Tiho,
Further work on that required code level changes ?
I beleive you are talking about externalizing the resource names.  That means it would need code changes.

Toshiya, take a look at the update, I am sure that will not be sufficient, but would that be a good start for this release ?
Comment 4 Tihomir Surdilovic 2012-05-09 16:32:05 EDT
Yes code changes, but very minimal. I really all depends on what you guys want to do. If the currently provided translations are enough for BRMS 5.3 we can roll out with that, really all up to you guys...just let me know.
Comment 5 Ryan Zhang 2012-05-11 07:09:52 EDT
I believe this fix has been committed to 2.2.x branch which BRMS 5.3 used.

So this requires to request block+ flag or revert in the branch.
Comment 6 Toshiya Kobayashi 2012-05-14 09:12:40 EDT
Thanks Tiho!

Prakash and Tiho,

I'm going to send an email to you about the localization plan. Please take this BZ as just adding translation_ja_jp.js for simplicity.
Comment 7 Toshiya Kobayashi 2012-05-23 09:18:42 EDT
To summarize localization BZs for BRMS 5.3.0,

Designer
- bug 816056 : Making Designer.war available for localization (Verified)
- bug 819748 : Adding translation_ja_jp.js for overall UI (Can go to QA?)
- bug 824392 : Adding Japanese translation to bpmn2.0jbpm.orig for stencil description (Working on)
- bug 824408 : Dealing with other hard-coded text. (Target is after 5.3.0 GA)

Guvnor
- bug 824422 : Updating Constants_ja_JP.properties (Working on)

jBPM Console
- bug 821429 : Making jbpm-gwt-console available for localization. (It will likely be a big change so won't meet 5.3.0 GA)
Comment 8 Ryan Zhang 2012-05-24 05:56:34 EDT
hi, Toshiya
Just a notice, that fixes targeted on BRMS 5.3.0.GA should request  blocker+ flag  to PM. Otherwise developer won't merge those fixes.
Comment 9 Toshiya Kobayashi 2012-05-25 12:12:34 EDT
Ryan, thank you for the notice.
I'll check with Prakash.
Comment 10 Ryan Zhang 2012-06-13 05:32:41 EDT
This issue's fixes  have been picked by ER9. Please verify them on ER9.
Comment 11 Toshiya Kobayashi 2012-06-20 00:00:10 EDT
> QE folks,

Keiko and I have verified the fix in ER9. It's okay to set me (tkobayas@redhat.com) as a QA contact but then let me know the next step.
Comment 12 Lukáš Petrovický 2012-06-20 02:05:55 EDT
Ok, VERIFIED. THanks!

Note You need to log in before you can comment on or make changes to this bug.